package com.demo.entity.po.bak;

import org.springframework.data.mongodb.core.mapping.Document;

@Document(collection = "DeviceInfoIos")
public class DeviceInfoIos {
    private String platform;
    private String reyunId;
    private String idfa;
    private String idfv;
    private String model;//设备型号
    private String networkType;//网络类型
    private String phoneName;
    private String osName;//当前系统名称
    private String localizedModel;
    private String osVer;//当前系统版本号
    private String dmodel;//device_model字段
    private String lastRestartDate;//设备重启时间
    private String uuid;
    private String cpuCoreNum;//CPU核数
    private String cpuModel;//CPU型号
    private String languages;//语言环境
    private String screenResolution;//屏幕分辨率
    private String isp;//运营商编号
    private String ispName;//运营商编号
    private String cpuName;//CPU名称
    private String allBusFrequency;
    private String batteryCapacityValue;//电池总电量
    private String batteryLevel;
    private String batteryVoltage;
    private String canMakePhoneCall;
    private String iPhoneCellIP;
    private String initialFirmware;

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getReyunId() {
        return reyunId;
    }

    public void setReyunId(String reyunId) {
        this.reyunId = reyunId;
    }

    public String getIdfa() {
        return idfa;
    }

    public void setIdfa(String idfa) {
        this.idfa = idfa;
    }

    public String getIdfv() {
        return idfv;
    }

    public void setIdfv(String idfv) {
        this.idfv = idfv;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getNetworkType() {
        return networkType;
    }

    public void setNetworkType(String networkType) {
        this.networkType = networkType;
    }

    public String getPhoneName() {
        return phoneName;
    }

    public void setPhoneName(String phoneName) {
        this.phoneName = phoneName;
    }

    public String getOsName() {
        return osName;
    }

    public void setOsName(String osName) {
        this.osName = osName;
    }

    public String getLocalizedModel() {
        return localizedModel;
    }

    public void setLocalizedModel(String localizedModel) {
        this.localizedModel = localizedModel;
    }

    public String getOsVer() {
        return osVer;
    }

    public void setOsVer(String osVer) {
        this.osVer = osVer;
    }

    public String getDmodel() {
        return dmodel;
    }

    public void setDmodel(String dmodel) {
        this.dmodel = dmodel;
    }

    public String getLastRestartDate() {
        return lastRestartDate;
    }

    public void setLastRestartDate(String lastRestartDate) {
        this.lastRestartDate = lastRestartDate;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getCpuCoreNum() {
        return cpuCoreNum;
    }

    public void setCpuCoreNum(String cpuCoreNum) {
        this.cpuCoreNum = cpuCoreNum;
    }

    public String getCpuModel() {
        return cpuModel;
    }

    public void setCpuModel(String cpuModel) {
        this.cpuModel = cpuModel;
    }

    public String getLanguages() {
        return languages;
    }

    public void setLanguages(String languages) {
        this.languages = languages;
    }

    public String getScreenResolution() {
        return screenResolution;
    }

    public void setScreenResolution(String screenResolution) {
        this.screenResolution = screenResolution;
    }

    public String getIsp() {
        return isp;
    }

    public void setIsp(String isp) {
        this.isp = isp;
    }

    public String getIspName() {
        return ispName;
    }

    public void setIspName(String ispName) {
        this.ispName = ispName;
    }

    public String getCpuName() {
        return cpuName;
    }

    public void setCpuName(String cpuName) {
        this.cpuName = cpuName;
    }

    public String getAllBusFrequency() {
        return allBusFrequency;
    }

    public void setAllBusFrequency(String allBusFrequency) {
        this.allBusFrequency = allBusFrequency;
    }

    public String getBatteryCapacityValue() {
        return batteryCapacityValue;
    }

    public void setBatteryCapacityValue(String batteryCapacityValue) {
        this.batteryCapacityValue = batteryCapacityValue;
    }

    public String getBatteryLevel() {
        return batteryLevel;
    }

    public void setBatteryLevel(String batteryLevel) {
        this.batteryLevel = batteryLevel;
    }

    public String getBatteryVoltage() {
        return batteryVoltage;
    }

    public void setBatteryVoltage(String batteryVoltage) {
        this.batteryVoltage = batteryVoltage;
    }

    public String getCanMakePhoneCall() {
        return canMakePhoneCall;
    }

    public void setCanMakePhoneCall(String canMakePhoneCall) {
        this.canMakePhoneCall = canMakePhoneCall;
    }

    public String getiPhoneCellIP() {
        return iPhoneCellIP;
    }

    public void setiPhoneCellIP(String iPhoneCellIP) {
        this.iPhoneCellIP = iPhoneCellIP;
    }

    public String getInitialFirmware() {
        return initialFirmware;
    }

    public void setInitialFirmware(String initialFirmware) {
        this.initialFirmware = initialFirmware;
    }
}
